import { MonoTypeOperatorFunction } from 'rxjs';
export interface SmzRouteConfig {
    observable?: boolean;
    pipe?: (MonoTypeOperatorFunction<{
        this: any;
        value: any;
    }>)[];
    inherit?: boolean;
}
export declare function SmzRouteDatas(...args: (string | SmzRouteConfig)[]): PropertyDecorator;
export declare function SmzRouteParams(...args: (string | SmzRouteConfig)[]): PropertyDecorator;
export declare function SmzRouteQueryParams(...args: (string | SmzRouteConfig)[]): PropertyDecorator;
